
uniform sampler2D Texture0;

uniform float theThreshold;

void main(void)
{
   vec4 theColor = texture2D( Texture0, gl_TexCoord[0] );
   if ( theColor.r * 0.30 + theColor.g * 0.59 + theColor.b * 0.11 < theThreshold )
	gl_FragColor = vec4(0,0,0,1);
   else 
	gl_FragColor = theColor;
}
